function [A,B,Kb,c,ap] = solveneoclassicalunit(beta,alpha,epsilon,delta,sigmaa,gamma,rho)

[Kb,c,ap] = steadyneoclassicalunit(beta,alpha,epsilon,delta,sigmaa,gamma);

z(1)=Kb;
z(2)=Kb;
z(3)=Kb;
z(4)=epsilon;
z(5)=epsilon;

par(1)=alpha;
par(2)=epsilon;
par(3)=ap;
par(4)=sigmaa;
par(5)=delta;
par(6)=gamma;
par(7)=beta;

[eul] = eulerunit(z,alpha,epsilon,ap,sigmaa,delta,gamma,beta);

if abs(eul) > .1e-9
    error('fatal (solveneoclassical) problem with steady state')
end

[QQ]=derivative(z,'eulerunit',alpha,epsilon,ap,sigmaa,delta,gamma,beta);

der=QQ;

for ii=1:3
    der(ii)=QQ(ii)*z(ii);
end

der=der/der(1);

alpha_0=der(1);
alpha_1=der(2);
alpha_2=der(3);
beta_0=der(4);
beta_1=der(5);

C=[alpha_0 alpha_1 alpha_2];
rr=roots(C);
A=rr(1);
if abs(A) > 1
    A=rr(2);
end
if abs(A) > 1
    error('fatal (solveneoclassicalunit) failed to find stationary solution')
end
B=-(beta_1+beta_0*rho)/(alpha_1+alpha_0*(A+rho));

